Subject: Re: CCL:CCL:OOP

From: <[email-masked]>
Date: Wed, 9 Feb 94 15:48:14 -0500

Paul Townsend replies:
> I find this point mildly hilarious ! Just yesterday I came across an Amber
> example where user in question had to increase an array parameter in order
> to perform a calculation. Time to edit and recompile was minutes.
> Increased execution time vs dynamic allocation (C etc ...) was probably a
> second at most. Fair trade ? I think not.
> 
I agree with Dan Severances reply to this. I do Monte Carlo simulations
than often run 7 days or more on an RS6000.  I have written code for this
both in C and FORTRAN for this machine and frankly I must tell you that
C is a poor second when it comes to number crunching speed.  While I prefer
C as a language, the overwhelming need for fast turnaround time requires
that I stick to FORTRAN. I don't see this changing anytime soon. I would
be interested to know if anyone else has done comparisons.
 ***************
 Jerry Perlstein
 Center for Photoinduced Charge Transfer
 Department of Chemistry
 University of Rochester
 Rochester,NY 14627-0216
 Tel: (716)275-2511
 FAX: (716)473-6889
 [email-masked]